> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/get#try-it)

Gets an ad asset.

Only supports the retrieval of assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO`.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adAssets/{adAssetId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser this ad asset belongs to. |
| `adAssetId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the ad asset to fetch. Only supports assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).